# Инициация приёма денежных средств посредством Apple Pay

***

{% hint style="info" %}
Данный метод оплаты доступен только для операционных систем IOS.
{% endhint %}

***

## Создание транзакции типа Apple Pay

<mark style="color:green;">`POST`</mark> `https://prapi.tarlanpayments.kz/transaction/api/v1/transaction/primal/apple-pay`

#### Headers

<table><thead><tr><th width="236">Name</th><th width="243">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>String </td><td>Bearer Авторизационный хэш (см Формирование подписи)</td></tr></tbody></table>

#### Request Body

| Name                                                     | Type    | Description                                                                                                                                                              |
| -------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| amount<mark style="color:red;">\*</mark>                 | Float   | Сумма платежа                                                                                                                                                            |
| project\_client\_id                                      | String  | Идентификатор клиента на стороне проекта                                                                                                                                 |
| callback\_url                                            | String  | URL проекта для оправки коллбэка со статусом транзакции (см Отправка callback)                                                                                           |
| failure\_redirect\_url<mark style="color:red;">\*</mark> | String  | Страница проекта на которую будет выполнен редирект пользователя после неуспешнй оплаты. Если параметр не был передан, редирект будет выполнен на success\_redirect\_url |
| merchant\_id<mark style="color:red;">\*</mark>           | Integer | Идентификатор мерчанта присваиваемый платежной системой                                                                                                                  |
| project\_id<mark style="color:red;">\*</mark>            | Integer | <p>Идентификатор проекта присваиваемый платежной системой</p><p></p>                                                                                                     |
| project\_reference\_id<mark style="color:red;">\*</mark> | String  | Идентификатор заказа на стороне мерчанта                                                                                                                                 |
| success\_redirect\_url<mark style="color:red;">\*</mark> | String  | Страница проекта на которую будет выполнен редирект пользователя после успешной оплаты                                                                                   |
| shipment                                                 | String  | Адрес доставки                                                                                                                                                           |
| confirm\_url                                             | String  | URL Проекта для подтверждения проведения оплаты (см. Подтверждение проведения оплаты)                                                                                    |
| description<mark style="color:red;">\*</mark>            | String  | Описание платежа (50 символов)                                                                                                                                           |
| additional\_data                                         | Object  | Дополнительные параметры                                                                                                                                                 |
| project\_order\_id                                       | String  | Номер заказа на стороне проекта                                                                                                                                          |

{% tabs %}
{% tab title="200: OK Пример успешного ответа" %}

```json
{
    "status": true,
    "message": "Success",
    "result": "https://process.tarlanpayments.kz?hash=$2a$10$nhrUYWm9sDVYqCL4LKxn9ugrdC4Pszz5wGaUsDYYIqCGc8ZA4Vu0y&transaction_id=100474"
}

```

{% endtab %}

{% tab title="500: Internal Server Error Пример ответа с ошибкой" %}

```json
{
    "status": false,
    "status_code": 5000,
    "message": "transaction already exists",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

Example of a **CURL** request:

```bash
curl --location 'https://prapi.tarlanpayments.kz/transaction/api/v1/transaction/primal/apple-pay' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer sign' \
--data-raw '{
    "amount": 10,
    "callback_url": "https://test.site/callback_url",
    "confirm_url": "https://test.site/confirm_url",
    "description": "999",
    "failure_redirect_url": "https://www.test.com",
    "merchant_id": 9999,
    "project_client_id": "999",
    "project_id": 9999,
    "project_reference_id": "999",
    "shipment": "Tarlan ave, Payments str.",
    "success_redirect_url": "https://www.test.com",
    "additional_data": {
        "test1": "value1",
        "test2": 2
    }
}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/platezhnyi-shlyuz/vzaimodeistvie-s-formoi-oplaty/iniciaciya-priyoma-denezhnykh-sredstv-posredstvom-apple-pay.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
